--------------------------------------------------------------------
-- s_push_quit.lua
-- ボタン（Quit）押下時の処理
--
-- author IZUMI STUDIO
-- date
--------------------------------------------------------------------
require(".\\scripts\\game\\s_common")

-- SE再生（キャンセル）
Scene.ControlSound( 0, CONTROL_STOP, "cursor8_edited", 0 )
Scene.ControlSound( 0, CONTROL_PLAY, "cursor8_edited", 0 )

-- ボタン押下演出
Scene.ExecEffectScript_CursorPos( 0, ".\\scripts\\menu\\e_push_button.lua" )

-- BGM（フェードアウト）
Scene.ControlStreamSound( 0, SCONTROL_FADE_OUT, 2, "" )

-- コピーライトシーンへ
Scene.ChangeScene( 0, SCENE_MENU, TRANSITION_BLACK_OUT, 10, TRANSITION_BLACK_IN, 20 )

-- 入力無効に
Scene.SetEnvParameterInt( 0, "EnableGameInput", 0 ) ;
Scene.SetEnvParameterInt( 0, "EnableSystemInput", 0 ) ;


